Get all dependants Run in API Explorer
Ask AI
Query parameters
-
Filter by a comma separated list of UUIDs.
-
Filter by a comma separated list of UUIDs.
-
Filter by a comma separated list of UUIDs.
-
Comma separated list of relationships to include in the response. Valid relationships are [accounts].
-
Field to sort by. Valid fields are [created_at, updated_at, first_name, last_name]. Negative sign to denote DESC. Defaults to 'created_at'.
-
Number of results to return with pagination (Default 15. Max 500).
GET
/api/v2/dependants
curl \
--request GET 'https://api.plannrcrm.com/api/v2/dependants' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
"data": [
{
"uuid": "a494a91a-c43d-4874-9d94-ec1e27b70e63",
"created_at": "2026-10-28T10:39:29+00:00",
"updated_at": "2026-10-28T10:39:29+00:00",
"first_name": "Christopher",
"last_name": "Nolan",
"name": "Christopher Nolan",
"known_as": "Chris",
"relationship": "Brother",
"date_of_birth": "1986-10-28T10:39:29+00:00",
"is_financially_dependant": true,
"notes": "Example notes",
"accounts": {
"uuid": "81a41beb-dcf5-4f51-b051-e362207238f9",
"created_at": "2026-10-28T10:39:29+00:00",
"updated_at": "2026-10-28T10:39:29+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"external_references": {
"uuid": "aa9d829d-1801-43a0-b785-5f68dad9f6d1",
"created_at": "2026-10-28T10:39:33+00:00",
"updated_at": "2026-10-28T10:39:33+00:00",
"third_party": "nucleus",
"reference": "AB123456"
}
}
}
]
}